<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="kr.co.hsnc.common.sql.util.RowSetUtility" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />

<%
    ctx.init(request, response);

	ValueObject user = null;
   	String message = null;
	String event   = null;

	HandlerStorage storage = ctx.getHandlerStorage();
	user = storage.getUser();
  	event = storage.getEvent();

	boolean success = storage.getSuccess();
	
	System.err.println("success:"+success + "===>event:"+event);
%>

<%
	if( success && ( !event.equals("FileListWorker.Change") || !event.equals("FileListTechreq.Change"))) { %>

<SCRIPT language="javascript">
	parent.resetFormProc();
	alert('성공적으로 처리되었습니다.');
	parent.reloadProc();
	parent.resetProc();
// 	parent.opener.getOpenerReload();

</SCRIPT>

<%
	}
	else if( !(event.equals("FileListWorker.Change") || event.equals("FileListTechreq.Change")) ) {
%>

<SCRIPT language="javascript">

	dlgErrorDetailAlert("FILE ERROR.", "<%= storage.getDetailMessage() %>");
	parent.resetFormProc();
	parent.initPage();

</SCRIPT>

<%	
	}
 %>